Skip to main content
GET
/
liquidity
/
v2
/
chain
/
{srcChain}
/
protocol
/
{protocol}
/
type
/
{type}
/
quote
curl --request GET \
  --url 'https://api.sprinter.tech/liquidity/v2/chain/{srcChain}/protocol/{protocol}/type/{type}/quote' \
  --header 'X-Auth-Token: YOUR_API_KEY'
{
  "data": {
    "borrowCost": "150000",
    "duration": 300,
    "estimatedFillDuration": 180,
    "feeBps": 5,
    "id": "qt_a1b2c3d4e5f6",
    "liquidityPool": "0xLiqPool1234567890AbCdEf1234567890AbCdEf12",
    "quoteDuration": 60,
    "repaymentChain": 1,
    "repaymentRecipient": "0xRepayRecip234567890AbCdEf1234567890AbCdEf1",
    "requiredInput": "100000000",
    "requiredOutput": "99850000"
  }
}
curl --request GET \
  --url 'https://api.sprinter.tech/liquidity/v2/chain/{srcChain}/protocol/{protocol}/type/{type}/quote' \
  --header 'X-Auth-Token: YOUR_API_KEY'
{
  "data": {
    "borrowCost": "150000",
    "duration": 300,
    "estimatedFillDuration": 180,
    "feeBps": 5,
    "id": "qt_a1b2c3d4e5f6",
    "liquidityPool": "0xLiqPool1234567890AbCdEf1234567890AbCdEf12",
    "quoteDuration": 60,
    "repaymentChain": 1,
    "repaymentRecipient": "0xRepayRecip234567890AbCdEf1234567890AbCdEf1",
    "requiredInput": "100000000",
    "requiredOutput": "99850000"
  }
}

Authorizations

X-Auth-Token
string
header
required

Path Parameters

protocol
string
required

Protocol name (e.g., Across)

type
string
required

Quote algorithm type (e.g., ExactInput, ExactOutput)

srcChain
string
required

Source CAIP chain ID (e.g., eip155:1)

Query Parameters

dstChain
string
required

Destination CAIP chain ID (e.g., eip155:1)

exclusive
string

Exclusive fill flag (true/false)

amount
string
required

Amount of tokens for which we are requesting borrow quote (in the smallest denomination)

token
string
required

Token address on destination (hex)

pool
string

Preferred liquidity pool address to borrow from (hex)

Response

Successfully retrieved borrow quote

data
object
required